"""Constants for nextcloud tests."""

from homeassistant.const import CONF_PASSWORD, CONF_URL, CONF_USERNAME, CONF_VERIFY_SSL

MOCKED_ENTRY_ID = "1234567890abcdef"

VALID_CONFIG = {
    CONF_URL: "https://my.nc_url.local",
    CONF_USERNAME: "nc_user",
    CONF_PASSWORD: "nc_pass",
    CONF_VERIFY_SSL: True,
}

NC_DATA = {
    "nextcloud": {
        "system": {
            "version": "28.0.4.1",
            "theme": "",
            "enable_avatars": "yes",
            "enable_previews": "yes",
            "memcache.local": "\\OC\\Memcache\\APCu",
            "memcache.distributed": "none",
            "filelocking.enabled": "yes",
            "memcache.locking": "none",
            "debug": "no",
            "freespace": 32769138688,
            "cpuload": [2.06640625, 1.58447265625, 1.45263671875],
            "mem_total": 30728192,
            "mem_free": 6753280,
            "swap_total": 10484736,
            "swap_free": 10484736,
            "apps": {
                "num_installed": 41,
                "num_updates_available": 0,
                "app_updates": [],
            },
            "update": {"lastupdatedat": 1713048517, "available": False},
        },
        "storage": {
            "num_users": 2,
            "num_files": 6783,
            "num_storages": 4,
            "num_storages_local": 1,
            "num_storages_home": 2,
            "num_storages_other": 1,
        },
        "shares": {
            "num_shares": 2,
            "num_shares_user": 0,
            "num_shares_groups": 0,
            "num_shares_link": 2,
            "num_shares_mail": 0,
            "num_shares_room": 0,
            "num_shares_link_no_password": 2,
            "num_fed_shares_sent": 0,
            "num_fed_shares_received": 1,
            "permissions_3_17": 1,
            "permissions_3_31": 1,
        },
    },
    "server": {
        "webserver": "Apache/2.4.57 (Debian)",
        "php": {
            "version": "8.2.18",
            "memory_limit": 536870912,
            "max_execution_time": 3600,
            "upload_max_filesize": 536870912,
            "opcache_revalidate_freq": 60,
            "opcache": {
                "opcache_enabled": True,
                "cache_full": False,
                "restart_pending": False,
                "restart_in_progress": False,
                "memory_usage": {
                    "used_memory": 72027112,
                    "free_memory": 62190616,
                    "wasted_memory": 0,
                    "current_wasted_percentage": 0,
                },
                "interned_strings_usage": {
                    "buffer_size": 33554432,
                    "used_memory": 12630360,
                    "free_memory": 20924072,
                    "number_of_strings": 69242,
                },
                "opcache_statistics": {
                    "num_cached_scripts": 1406,
                    "num_cached_keys": 2654,
                    "max_cached_keys": 16229,
                    "hits": 9739971,
                    "start_time": 1722222008,
                    "last_restart_time": 0,
                    "oom_restarts": 0,
                    "hash_restarts": 0,
                    "manual_restarts": 0,
                    "misses": 1406,
                    "blacklist_misses": 0,
                    "blacklist_miss_ratio": 0,
                    "opcache_hit_rate": 99.9855667222406,
                },
                "jit": {
                    "enabled": True,
                    "on": True,
                    "kind": 5,
                    "opt_level": 5,
                    "opt_flags": 6,
                    "buffer_size": 134217712,
                    "buffer_free": 133190688,
                },
            },
            "apcu": {
                "cache": {
                    "num_slots": 4099,
                    "ttl": 0,
                    "num_hits": 590911,
                    "num_misses": 55250,
                    "num_inserts": 55421,
                    "num_entries": 102,
                    "expunges": 0,
                    "start_time": 1722222008,
                    "mem_size": 175296,
                    "memory_type": "mmap",
                },
                "sma": {"num_seg": 1, "seg_size": 33554312, "avail_mem": 33342368},
            },
            "extensions": [
                "Core",
                "date",
                "libxml",
                "openssl",
                "pcre",
                "sqlite3",
                "zlib",
                "ctype",
                "curl",
                "dom",
                "fileinfo",
                "filter",
                "hash",
                "iconv",
                "json",
                "mbstring",
                "SPL",
                "session",
                "PDO",
                "pdo_sqlite",
                "standard",
                "posix",
                "random",
                "Reflection",
                "Phar",
                "SimpleXML",
                "tokenizer",
                "xml",
                "xmlreader",
                "xmlwriter",
                "mysqlnd",
                "apache2handler",
                "apcu",
                "bcmath",
                "exif",
                "ftp",
                "gd",
                "gmp",
                "imagick",
                "intl",
                "ldap",
                "memcached",
                "pcntl",
                "pdo_mysql",
                "pdo_pgsql",
                "redis",
                "sodium",
                "sysvsem",
                "zip",
                "Zend OPcache",
            ],
        },
        "database": {"type": "sqlite3", "version": "3.40.1", "size": "4784128"},
    },
    "activeUsers": {"last5minutes": 0, "last1hour": 0, "last24hours": 0},
}
