"""Constants for the Omnilogic integration tests."""

TELEMETRY = {
    ("Backyard", "SCRUBBED"): {
        "systemId": "SCRUBBED",
        "statusVersion": "3",
        "airTemp": "70",
        "status": "1",
        "state": "1",
        "configUpdatedTime": "2020-10-08T09:04:42.0556413Z",
        "datetime": "2020-10-11T16:36:53.4128627",
        "Relays": [],
        "BOWS": [
            {
                "systemId": "1",
                "flow": "255",
                "waterTemp": "71",
                "Name": "Spa",
                "Supports-Spillover": "no",
                "Filter": {
                    "systemId": "2",
                    "valvePosition": "1",
                    "filterSpeed": "100",
                    "filterState": "1",
                    "lastSpeed": "0",
                    "Name": "Filter Pump",
                    "Shared-Type": "BOW_NO_EQUIPMENT_SHARED",
                    "Filter-Type": "FMT_SINGLE_SPEED",
                    "Max-Pump-Speed": "100",
                    "Min-Pump-Speed": "100",
                    "Max-Pump-RPM": "3450",
                    "Min-Pump-RPM": "600",
                    "Priming-Enabled": "no",
                    "Alarms": [],
                },
                "VirtualHeater": {
                    "systemId": "3",
                    "Current-Set-Point": "103",
                    "enable": "no",
                },
                "Heater": {
                    "systemId": "4",
                    "heaterState": "0",
                    "enable": "yes",
                    "Shared-Type": "BOW_NO_EQUIPMENT_SHARED",
                    "Operation": {
                        "VirtualHeater": {
                            "System-Id": "4",
                            "Name": "Heater",
                            "Type": "PET_HEATER",
                            "Heater-Type": "HTR_GAS",
                            "Enabled": "yes",
                            "Priority": "HTR_PRIORITY_1",
                            "Run-For-Priority": "HTR_MAINTAINS_PRIORITY_FOR_AS_LONG_AS_VALID",
                            "Shared-Equipment-System-ID": "-1",
                            "Current-Set-Point": "103",
                            "Max-Water-Temp": "104",
                            "Min-Settable-Water-Temp": "65",
                            "Max-Settable-Water-Temp": "104",
                            "enable": "yes",
                            "systemId": "3",
                        }
                    },
                    "Alarms": [],
                },
                "Group": {"systemId": "13", "groupState": "0"},
                "Lights": [
                    {
                        "systemId": "6",
                        "lightState": "0",
                        "currentShow": "0",
                        "Name": "Lights",
                        "Type": "COLOR_LOGIC_UCL",
                        "Alarms": [],
                    }
                ],
                "Relays": [
                    {
                        "systemId": "10",
                        "relayState": "0",
                        "Name": "Overflow",
                        "Type": "RLY_VALVE_ACTUATOR",
                        "Function": "RLY_WATER_FEATURE",
                        "Alarms": [],
                    }
                ],
                "Pumps": [
                    {
                        "systemId": "5",
                        "pumpState": "0",
                        "pumpSpeed": "0",
                        "lastSpeed": "0",
                        "Name": "Spa Jets",
                        "Type": "PMP_SINGLE_SPEED",
                        "Function": "PMP_WATER_FEATURE",
                        "Min-Pump-Speed": "18",
                        "Max-Pump-Speed": "100",
                        "Alarms": [],
                    }
                ],
            }
        ],
        "BackyardName": "SCRUBBED",
        "Msp-Vsp-Speed-Format": "Percent",
        "Msp-Time-Format": "12 Hour Format",
        "Units": "Standard",
        "Msp-Chlor-Display": "Salt",
        "Msp-Language": "English",
        "Unit-of-Measurement": "Standard",
        "Alarms": [],
        "Unit-of-Temperature": "UNITS_FAHRENHEIT",
    },
    ("Backyard", "SCRUBBED", "BOWS", "1"): {
        "systemId": "1",
        "flow": "255",
        "waterTemp": "71",
        "Name": "Spa",
        "Supports-Spillover": "no",
        "Filter": {
            "systemId": "2",
            "valvePosition": "1",
            "filterSpeed": "100",
            "filterState": "1",
            "lastSpeed": "0",
            "Name": "Filter Pump",
            "Shared-Type": "BOW_NO_EQUIPMENT_SHARED",
            "Filter-Type": "FMT_SINGLE_SPEED",
            "Max-Pump-Speed": "100",
            "Min-Pump-Speed": "100",
            "Max-Pump-RPM": "3450",
            "Min-Pump-RPM": "600",
            "Priming-Enabled": "no",
            "Alarms": [],
        },
        "VirtualHeater": {"systemId": "3", "Current-Set-Point": "103", "enable": "no"},
        "Heater": {
            "systemId": "4",
            "heaterState": "0",
            "enable": "yes",
            "Shared-Type": "BOW_NO_EQUIPMENT_SHARED",
            "Operation": {
                "VirtualHeater": {
                    "System-Id": "4",
                    "Name": "Heater",
                    "Type": "PET_HEATER",
                    "Heater-Type": "HTR_GAS",
                    "Enabled": "yes",
                    "Priority": "HTR_PRIORITY_1",
                    "Run-For-Priority": "HTR_MAINTAINS_PRIORITY_FOR_AS_LONG_AS_VALID",
                    "Shared-Equipment-System-ID": "-1",
                    "Current-Set-Point": "103",
                    "Max-Water-Temp": "104",
                    "Min-Settable-Water-Temp": "65",
                    "Max-Settable-Water-Temp": "104",
                    "enable": "yes",
                    "systemId": "3",
                }
            },
            "Alarms": [],
        },
        "Group": {"systemId": "13", "groupState": "0"},
        "Lights": [
            {
                "systemId": "6",
                "lightState": "0",
                "currentShow": "0",
                "Name": "Lights",
                "Type": "COLOR_LOGIC_UCL",
                "Alarms": [],
            }
        ],
        "Relays": [
            {
                "systemId": "10",
                "relayState": "0",
                "Name": "Overflow",
                "Type": "RLY_VALVE_ACTUATOR",
                "Function": "RLY_WATER_FEATURE",
                "Alarms": [],
            }
        ],
        "Pumps": [
            {
                "systemId": "5",
                "pumpState": "0",
                "pumpSpeed": "0",
                "lastSpeed": "0",
                "Name": "Spa Jets",
                "Type": "PMP_SINGLE_SPEED",
                "Function": "PMP_WATER_FEATURE",
                "Min-Pump-Speed": "18",
                "Max-Pump-Speed": "100",
                "Alarms": [],
            }
        ],
    },
    ("Backyard", "SCRUBBED", "BOWS", "1", "Pumps", "5"): {
        "systemId": "5",
        "pumpState": "0",
        "pumpSpeed": "0",
        "lastSpeed": "0",
        "Name": "Spa Jets",
        "Type": "PMP_SINGLE_SPEED",
        "Function": "PMP_WATER_FEATURE",
        "Min-Pump-Speed": "18",
        "Max-Pump-Speed": "100",
        "Alarms": [],
    },
    ("Backyard", "SCRUBBED", "BOWS", "1", "Relays", "10"): {
        "systemId": "10",
        "relayState": "0",
        "Name": "Overflow",
        "Type": "RLY_VALVE_ACTUATOR",
        "Function": "RLY_WATER_FEATURE",
        "Alarms": [],
    },
    ("Backyard", "SCRUBBED", "BOWS", "1", "Lights", "6"): {
        "systemId": "6",
        "lightState": "0",
        "currentShow": "0",
        "Name": "Lights",
        "Type": "COLOR_LOGIC_UCL",
        "Alarms": [],
    },
    ("Backyard", "SCRUBBED", "BOWS", "1", "Heater", "4"): {
        "systemId": "4",
        "heaterState": "0",
        "enable": "yes",
        "Shared-Type": "BOW_NO_EQUIPMENT_SHARED",
        "Operation": {
            "VirtualHeater": {
                "System-Id": "4",
                "Name": "Heater",
                "Type": "PET_HEATER",
                "Heater-Type": "HTR_GAS",
                "Enabled": "yes",
                "Priority": "HTR_PRIORITY_1",
                "Run-For-Priority": "HTR_MAINTAINS_PRIORITY_FOR_AS_LONG_AS_VALID",
                "Shared-Equipment-System-ID": "-1",
                "Current-Set-Point": "103",
                "Max-Water-Temp": "104",
                "Min-Settable-Water-Temp": "65",
                "Max-Settable-Water-Temp": "104",
                "enable": "yes",
                "systemId": "3",
            }
        },
        "Alarms": [],
    },
    ("Backyard", "SCRUBBED", "BOWS", "1", "Filter", "2"): {
        "systemId": "2",
        "valvePosition": "1",
        "filterSpeed": "100",
        "filterState": "1",
        "lastSpeed": "0",
        "Name": "Filter Pump",
        "Shared-Type": "BOW_NO_EQUIPMENT_SHARED",
        "Filter-Type": "FMT_SINGLE_SPEED",
        "Max-Pump-Speed": "100",
        "Min-Pump-Speed": "100",
        "Max-Pump-RPM": "3450",
        "Min-Pump-RPM": "600",
        "Priming-Enabled": "no",
        "Alarms": [],
    },
}
